Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class AbstractStateModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.AbstractStateModel

All Implemented Interfaces:
  Model

Direct Known Subclasses:
  AbstractTransitionableStateModel, DecisionStateModel, EndStateModel

    public abstract class AbstractStateModel

extends AbstractModel

Model support for states.

Author:
  Scott Andrews

Constructor Summary
`AbstractStateModel(java.lang.String id)`

Method Summary
`protected void` | `fillCopy(AbstractStateModel copy)`
`java.util.LinkedList` | `getAttributes()`
`java.util.LinkedList` | `getExceptionHandlers()`
`java.lang.String` | `getId()`
`java.util.LinkedList` | `getOnEntryActions()`
`java.lang.String` | `getParent()`
`SecuredModel` | `getSecured()`
`void` | `setAttributes(java.util.LinkedList attributes)`
`void` | `setExceptionHandlers(java.util.LinkedList exceptionHandlers)`
`void` | `setId(java.lang.String id)`
`void` | `setOnEntryActions(java.util.LinkedList onEntryActions)`
`void` | `setParent(java.lang.String parent)`
`void` | `setSecured(SecuredModel secured)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.webflow.engine.model.Model
`createCopy, isMergeableWith, merge`

Constructor Detail

### AbstractStateModel

    public AbstractStateModel(java.lang.String id)

Method Detail

### fillCopy

    protected void fillCopy(AbstractStateModel copy)

### getId

    public java.lang.String getId()

  Returns:
    the id

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` - the id to set

### getParent

    public java.lang.String getParent()

  Returns:
    the parent

### setParent

    public void setParent(java.lang.String parent)

  Parameters:
    `parent` - the parent to set

### getAttributes

    public java.util.LinkedList getAttributes()

  Returns:
    the attributes

### setAttributes

    public void setAttributes(java.util.LinkedList attributes)

  Parameters:
    `attributes` - the attributes to set

### getSecured

    public SecuredModel getSecured()

  Returns:
    the secured

### setSecured

    public void setSecured(SecuredModel secured)

  Parameters:
    `secured` - the secured to set

### getOnEntryActions

    public java.util.LinkedList getOnEntryActions()

  Returns:
    the on entry actions

### setOnEntryActions

    public void setOnEntryActions(java.util.LinkedList onEntryActions)

  Parameters:
    `onEntryActions` - the on entry actions to set

### getExceptionHandlers

    public java.util.LinkedList getExceptionHandlers()

  Returns:
    the exception handlers

### setExceptionHandlers

    public void setExceptionHandlers(java.util.LinkedList exceptionHandlers)

  Parameters:
    `exceptionHandlers` - the exception handlers to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD